LAST,LASTB(1)

NAZWA
last, lastb - pokaż listę ostatnio zalogowanych użytkowników

SKŁADNIA

last
    [-R] [-num] [-nnum] [-adox] [-f plik] [nazwa...] [tty...]

lastb
    [-R] [-num] [-nnum] [-adox] [-f plik] [nazwa...] [tty...]

OPIS
Last przeszukuje wstecz plik /var/log/wtmp (lub plik wskazany flagą -f) i wyświetla listę wszystkich zalogowanych (i wylogowanych) od czasu utworzenia pliku użytkowników. Mogą zostać podane nazwy użytkowników i terminali (tty); w tym przypadku last pokaże jedynie zapisy pasujące do tych argumentów. Nazwy terminali mogą być skracane, zatem last 0, to to samo, co last tty0.

Gdy last przechwyci sygnał SIGINT (generowany przez klawisz przerwania, zwykle control-C) lub sygnał SIGQUIT (generowany przez klawisz zakończenia, zwykle control-\), pokaże jak daleko przeszukał plik; następnie, w przypadku sygnału SIGINT, last przerwie pracę.

Pseudoużytkownik reboot rejestrowany jest przy każdorazowym przeładowaniu systemu. Zatem last reboot pokaże rejestr (log) wszystkich przeładowań od utworzenia pliku rejestrującego.

Lastb jest tym samym, co last, z wyjątkiem tego, że domyślnie pokazuje zapisy z pliku /var/log/btmp, zawierającego zakończone niepowodzeniem próby logowań.

OPCJE

-num
    Liczba mówiąca last, ile wierszy ma pokazać.

-n num
    To samo.

-R  Nie wyświetlaj pola z nazwą hosta.

-a  Wyświetlaj nazwę hosta w ostatniej kolumnie. Przydatne w połączeniu z następną flagą.

-d  Dla logowań nie-lokalnych Linux przechowuje nie tylko nazwę zdalnego hosta, ale i jego numer IP. Opcja ta przekłada numer IP z powrotem na nazwę hosta.

-o  Czyta plik wtmp starego typu (zapisany przez aplikacje linux-libc5).

-x  Wyświetla zapisy o zamknięciach systemu i zmianach jego poziomów pracy.

UWAGI
Mogą nie zostać odnalezione pliki wtmp i btmp. System rejestruje informacje w tych plikach tylko wtedy, gdy istnieją. Wynika to z lokalnej konfiguracji. Jeśli chcesz, by były one używane, możesz je utworzyć po prostu poleceniem touch(1) (na przykład, touch /var/log/wtmp).

PLIKI
/var/log/wtmp
/var/log/btmp

AUTOR
Miquel van Smoorenburg, miquels@cistron.nl

ZOBACZ TAKŻE
shutdown(8), login(1), init(8).